KDE 4.7 PyKDE API Reference

- KDE's Python API

# KTzfileTimeZone Class Reference

`from PyKDE4.kdecore import *`

Inherits: KTimeZone

## Detailed Description

The KTzfileTimeZone class represents a time zone defined in tzfile(5) format.

It works in partnership with the KTzfileTimeZoneSource class which reads and parses the time zone definition files.

Represents a time zone defined in tzfile(5) format

See also:
  KTzfileTimeZoneBackend, KTzfileTimeZoneSource, KTzfileTimeZoneData

Author:
  David Jarvie <djarvie@kde.org>.

## Methods
| __init__ (self, KTzfileTimeZoneSource source, QString name, QString countryCode=QString(), float latitude=KTimeZone.UNKNOWN, float longitude=KTimeZone.UNKNOWN, QString comment=QString())

## Method Documentation

__init__ | ( | self, |
|  | KTzfileTimeZoneSource | source,
|  | QString | name,
|  | QString | countryCode=QString(),
|  | float | latitude=KTimeZone.UNKNOWN,
|  | float | longitude=KTimeZone.UNKNOWN,
|  | QString | comment=QString()
| ) |  |  |

Creates a time zone.

Parameters:

  | source | tzfile reader and parser
  | name | time zone's unique name, which must be the tzfile path relative to the location specified for source
  | countryCode | ISO 3166 2-character country code, empty if unknown
  | latitude | in degrees (between -90 and +90), UNKNOWN if not known
  | longitude | in degrees (between -180 and +180), UNKNOWN if not known
  | comment | description of the time zone, if any